Rockbox Technical Forums

Installation / Removal => Rockbox Utility => Topic started by: Boutiste on July 23, 2019, 03:20:09 PM

Title: Impossible Dual Boot on iPod Classic 6th Gen 160gb
Post by: Boutiste on July 23, 2019, 03:20:09 PM
Hi everyone! Let me explain my problem with my most perfect English (I'm French...)

So... I used to have Rockbox with a dual boot on my IPod Classic 6th gen 160gb. Then I tried to upgrade my ipod with an iFlash adapter (300gb).
After the hardware upgrade, I couldn't restart my ipod so I decided to restore my ipod using iTunes which was successfull. But I wanted to reinstall the dual boot... (I use it for many reason). I tried many times using the Rockbox Utility but everytime I tried it didn't work and I always saw that the "Bootloader check box" couldn't be checked in the "Installation" section. I tried several times, it always said that it was successfull but nothing happened on my iPod.
After a while, I tried EmCORE Installation, following step by step the tutorial and I finally succeed in installing Rockbox again but... without the dual boot... I only have the EmCORE bootloader...
Could you please help me get my dual boot again? I really tried many things but without any success... Thanks a lot!

Baptiste
Title: Re: Impossible Dual Boot on iPod Classic 6th Gen 160gb
Post by: Frankenpod on July 23, 2019, 06:01:54 PM
Which Rockbox Utility are you using?  You need (or did, last time I did this) the one from freemyipod that is linked to in various places on this forum.  The 'normal' one doesn't support the dual boot bootloader (or didn't when I last did this).
Title: Re: Impossible Dual Boot on iPod Classic 6th Gen 160gb
Post by: Boutiste on July 24, 2019, 03:54:27 AM
Rockbox utility v1.4
Title: Re: Impossible Dual Boot on iPod Classic 6th Gen 160gb
Post by: Frankenpod on July 24, 2019, 10:23:44 AM
I haven't paid attention to the version numbers, I mean is it the one from freemyipod (which works for dual boot install) or the one from the main download link on here (which doesn't)?

Having checked, I think both of them are labelled as V1.4 so you could be referrring to either.  You need the right V1.4
Title: Re: Impossible Dual Boot on iPod Classic 6th Gen 160gb
Post by: saratoga on July 24, 2019, 01:20:28 PM
See the installation instructions here:  https://www.rockbox.org/wiki/IpodClassicPort#Installation

However, people frequently report that flash adapters do not work with rockbox.